import { ShipBillTableInfoUrl } from '../js/api';
import {setShipbillColumns} from '../../$common/mainTable/tableConfig_shipbill.js'



export const setColumns = setShipbillColumns

export default {
  data() {
    let url=ShipBillTableInfoUrl(this)
    return {
      mx_s_remoteParams: {},
      mx_s_remoteUrl:url[this.type],
      mx_s_columns: setColumns(this),
      mx_s_selectedRowKeys: [],

    };
  },
  watch: {
    s_tableExtendedField(value) {
      if (value.length > 0) {
        this.mx_s_columns = setColumns(this, value)
      }
    },
  },
  methods: {

  }
};
